Subject: [AAA-WG]: RE: Issue 318 revisted: Host-IP-Address AVP in CER and CEA is redundant

From: <[email-masked]>
Date: Tue, 2 Apr 2002 11:12:44 +0300

Hi,

I think that Host-ip-address is not sufficient. It should be a list of DiameterURI. For example we can consider a hypothetical AVP, Host-URI of type DiameterURI then CER should contain 
    *[Host-URI]
I suggest the AVP to be optional because, there can be cases where the node does not want to suggest any other URI. Moreover URIs are anyhow known during peer discovery, so sending them as part of CER/CEA is not always necessary.

Kishore

-----Original Message-----
From: Loughney John (NRC/Helsinki) 
Sent: 02. April 2002 10:53
To: [email-masked]; Ghadiyaram Venkata (EXT-TataConsultancy/Helsinki)
Cc: [email-masked]
Subject: Issue 318 revisted: Host-IP-Address AVP in CER and CEA is
redundant

Hi all,

Looking through this issue one more time, I think that a point may be that:

       1* { Host-IP-Address }

may not be correct.  Would DiameterURI be better?  The reasons listed in the issue
below are part of the reasoning.

The question I have is, is Host-IP-Address OK, or do we need something more like
DiameterURI?

John

Issue 318:Host-IP-Address AVP in CER and CEA is redundant
Submitter name: Ghadiyaram Venkata Kishore
Submitter email address: [email-masked],	
Date first submitted: March 28, 2002
Reference: 
Document: Base
Comment type: T
Priority: 1
Section:
Rationale/Explanation of issue

When a peer receives a CER, the IPAddress(IPAddresses in case of SCTP) of the host sending the message can be obtained
from the transport layer as this information is maintained by the transport layer as part of TCP connection or SCTP
association. So sending this information as part of Diameter payload is redundant.

If alternate peers have to be provided through CER/CEA then we need a list of DiameterURIs, just the IPAddress of the
peers is of no use.

Requested change:

Remove Host-IP-Address AVP from the specification of CER and CEA (both in the text and te ABNF).

<CEA> ::= < Diameter Header: 257 >
          { Result-Code }
          { Origin-Host }
          { Origin-Realm }
       1* { Host-IP-Address }
          { Vendor-Id }
          { Product-Name }
          [ Origin-State-Id ]
          [ Error-Message ]
        * [ Failed-AVP ]
        * [ Supported-Vendor-Id ]
        * [ Auth-Application-Id ]
        * [ Acct-Application-Id ]
        * [ Vendor-Specific-Application-Id ]
          [ Firmware-Revision ]
        * [ AVP ]

<CER> ::= < Diameter Header: 257, REQ >
          { Origin-Host }
          { Origin-Realm }
       1* { Host-IP-Address }
          { Vendor-Id }
          { Product-Name }
          [ Origin-State-Id ]
        * [ Supported-Vendor-Id ]
        * [ Auth-Application-Id ]
        * [ Acct-Application-Id ]
        * [ Vendor-Specific-Application-Id ]
          [ Firmware-Revision ]
        * [ AVP ]